# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname facter

Name: ruby-%pkgname
Version: 1.6.8
Release: alt1.0.M60P.1

Summary: Ruby library for retrieving facts from operating systems
Group: Development/Ruby
License: LGPL
Url: http://reductivelabs.com/projects/facter/
Requires: coreutils dmidecode net-tools pciutils

BuildArch: noarch

Source: %pkgname-%version.tar
Patch: %pkgname-%version-%release.patch

# Automatically added by buildreq on Wed Sep 03 2008 (-bi)
BuildRequires: rpm-build-ruby ruby-tool-setup

%description
A cross-platform Ruby library for retrieving facts from
operating systems. Supports multiple resolution mechanisms, any
of which can be restricted to working only on certain operating
systems or environments. Facter is especially useful for
retrieving things like operating system names, IP addresses, MAC
addresses, and SSH keys.

It is easy to extend Facter to include your own custom facts or
to include additional mechanisms for retrieving facts.

%prep
%setup -n %pkgname-%version
%patch -p1
%update_setup_rb

%build
%ruby_config
%ruby_build

%install
%ruby_install

%files
%doc CHANGELOG README.md
%_bindir/facter
%ruby_sitelibdir/*

%changelog
* Fri Jun 07 2013 Andrey Cherepanov <cas@altlinux.org> 1.6.8-alt1.0.M60P.1
- Backport new version to p6 branch (ALT #28274)

* Fri Nov 30 2012 Led <led@altlinux.ru> 1.6.8-alt1.1
- Rebuilt with ruby-1.9.3-alt1

* Fri Apr 27 2012 Sergey Alembekov <rt@altlinux.ru> 1.6.8-alt1
- [1.6.8]

* Sun Jun 28 2009 Alexey I. Froloff <raorn@altlinux.org> 1.5.6-alt1
- [1.5.6]

* Fri Oct 31 2008 Sir Raorn <raorn@altlinux.ru> 1.5.2-alt1
- [1.5.2]

* Wed Sep 03 2008 Sir Raorn <raorn@altlinux.ru> 1.5.1-alt1
- Built for Sisyphus

